Bug 3271 - [UPDATE REQUEST] [UPSTREAM UPDATE] lvm2
: [UPDATE REQUEST] [UPSTREAM UPDATE] lvm2
Status: RESOLVED FIXED
Product: Server Bugs
Classification: ROSA Server
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Andrew Lukoshko
: ROSA Server Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-28 14:19 MSK by Andrew Lukoshko
Modified: 2013-12-16 09:36 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrew.lukoshko: published_server+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Lukoshko 2013-11-28 14:19:41 MSK

    
Comment 1 Andrew Lukoshko 2013-11-28 14:20:41 MSK
* When there were visible clustered Volume Groups in the system, it was not
possible to silently skip them with proper return error code while non-clustered
locking type was used (the global/locking_type lvm.conf setting). To fix this
bug, "--ignoreskippedcluster" option has been added for several LVM commands
(pvs, vgs, lvs, pvdisplay, vgdisplay, lvdisplay, vgchange, and lvchange). With
this option, the clustered Volume Groups are skipped correctly while the return
error code does not depend on these clustered Volume Groups. 

http://rhn.redhat.com/errata/RHBA-2013-1504.html

https://abf.rosalinux.ru/build_lists/1391022
https://abf.rosalinux.ru/build_lists/1391023
Comment 2 Vladimir Potapov 2013-12-05 12:46:09 MSK
lvm2-2.02.98-9.res6.3
********************** RHEL Advisory *******************
When there were visible clustered Volume Groups in the system, it was not
possible to silently skip them with proper return error code while non-clustered
locking type was used (the global/locking_type lvm.conf setting). To fix this
bug, "--ignoreskippedcluster" option has been added for several LVM commands
(pvs, vgs, lvs, pvdisplay, vgdisplay, lvdisplay, vgchange, and lvchange). With
this option, the clustered Volume Groups are skipped correctly while the return
error code does not depend on these clustered Volume Groups. 
**********************************************************
QA Verified